<? if (@$_GET['sil']=="videosil"){  include 'inc/videosil.php'; } 
$katid = @$_REQUEST['katid'];
if (empty($katid) || !is_numeric($katid)) {$katid=1;}
$sql2 = "SELECT * FROM videolar where video_kat = $katid";
$result2 = mysql_query ($sql2) or die (mysql_error());
$goster2 = mysql_fetch_array($result2);
$v_id2 = $goster2['video_kat'];?>

<?php
//kaç tane gösterileceğini girin
//gösterilecek sayfa numarasını alma
$page = guvenlik(@$_GET['sayfa']);
//sayfa numarası kontrolü
if(empty($page) || !is_numeric($page)){$page=1;}

//toplam kayıt sayısını alma
$SQL = "SELECT COUNT(*) as Toplam FROM videolar where video_kat = $katid";
$islem = @mysql_query($SQL);
$ToplamKayit = mysql_fetch_array($islem);
$count = $ToplamKayit['Toplam'];
$perpage = 10;
$deger = $page*$perpage;
$nedir = $deger-10;
$lastP = ceil(($count / $perpage));

 //kayıtları listeleme işlemi
?>

<div class="yanyana">
<h3 class="anabaslik">Kategoriye Göre Sırala</h3>
<div class="formlar">
<form action="index.php?getir=kategori" method="post">

<div class="">
<li class="sol_li">Kategori<span>:</span></li> 

<select class="input inp2" name="katid">
<?php 
$sql=mysql_query("select * from kategoriler");
while ($goster=mysql_fetch_array($sql)){
?>
<option value="<?php echo $goster['id'];?>"<? if($v_id2=="$goster[id]"){echo " selected";}?>><?php echo $goster['kat_adi'];?></option>
<?php } ?>
</select>
</div>
<div class="yolla">
<input name="submit" type="submit" class="button" value="Getir"> 
</div></form>
</div>
</div>

<? $sql3 = "SELECT * FROM kategoriler where id = '$katid' ";
$result3 = mysql_query ($sql3) or die (mysql_error());
$goster3 = mysql_fetch_array($result3); ?>



<div class="yanyana">
<h3 class="anabaslik"><?=$goster3['kat_adi'];?> kategorisindeki videolar</h3> 
<div class="formlar">
<div class="tablo">
<li class="no"><b><input name="checkall" onclick="checkUncheckAll(this);" type="checkbox" /></b></li>
<li class="no"><b>id</b></li>
<li class="durum"><b>Kategori</b></li>
<li class="baslik"><b>Başlık</b></li>
<li class="islem"><b>İşlemler</b></li>
<div class="temizle"></div>
</div>
<div class="tablo2">

<? $sql = "SELECT * FROM videolar where video_kat = $katid Limit $nedir,$perpage ";
$result = mysql_query ($sql) or die (mysql_error());
while ($goster = mysql_fetch_array($result)) {
$v_id = $goster['video_kat'];
	
$sql2 = "SELECT * FROM kategoriler where id = '$v_id' ";
$result2 = mysql_query ($sql2) or die (mysql_error());
while ($goster2 = mysql_fetch_array($result2)) {?> 

<div class="satir">
<li class="no"><input type="checkbox" name="option1" ></li>
<li class="no"><?=$goster['id'];?></li>
<li class="durum"><a href="<?=$siteadresi;?>kategori-<?=seo($goster2['kat_adi']); ?>-<?=$goster2['id'];?>.html" style="color:#900" target="_blank"><?=$goster2['kat_adi'];?></a></li>
<li class="baslik"><a href="<?=$siteadresi;?><?=seo($goster['video_adi']); ?><?="-"?><?=$goster['id']?>.html" title="<?=$goster['video_adi'];  ?>" style="color:#000" target="_blank"><?=$goster['video_adi'];?></a></li>

<li class="islem">
<li class="edit"><a href="?duzenle=videoduzenle&id=<?=$goster['id'];?>" class="button icon edit">Düzenle</a></li>
<li class="sil"> <a onclick="return confirm('Videoyu Sil?')" href="index.php?getir=kategori&sil=videosil&id=<?=$goster['id'];?>&sayfa=<?=$sayfa;?>&katid=<?=$katid;?>" class="button icon remove danger">Sil</a></li>
</li>
<div class="temizle"></div>
</div>
<? } }?>

   <?  
  if($count > $perpage) :
  $x = 4;
  $lastP = ceil(($count / $perpage));
  for($i=1; $i>=$page; $i--) {}
   ?>




<div class="sayfala">
<a href="index.php?getir=kategori&katid=<?=$katid?>&sayfa=<?=$page-1;?>" class="button icon arrowleft danger">Geri</a>

 <?php 

  // sayfa 1'i yazdýr
  if($page==1) echo "<a href=index.php?getir=kategori&katid=$katid&sayfa=1 class=button>1</a>&nbsp;";
  
  else echo "<a href=index.php?getir=kategori&katid=$katid&sayfa=1 class=button>1</a>&nbsp;";
  if($page-$x > 5) {
    echo " <a href=# class=button>...</a>";
    $i = $page-$x;
  } else {
    $i = 2;
  }
  // +/- $x sayfalarý yazdýr
  for($i; $i<=$page+$x; $i++) {
    if($i==$page) 
	echo "<a href=# class=button> $i </a>&nbsp;"; 
    else 
	echo "<a href=index.php?getir=kategori&katid=$katid&sayfa=$i class=button>$i</a> ";
    if($i==$lastP) break;
  }
  // "..." veya son sayfa
  if($page+$x < $lastP-1) {
    echo "<a href=# class=button>...</a> ";
    echo " <a href=index.php?getir=kategori&katid=$katid&sayfa=$lastP class=button>$lastP</a>";
  } elseif($page+$x == $lastP-1) {
    echo " <a href=index.php?getir=kategori&katid=$katid&sayfa=$lastP class=button>$lastP</a>";
  }

  endif;
  
    // sonraki sayfa
	
  for($i=1; $i<=$page; $i++) {
    if($i==$lastP)
	 break;
  }
?>

<a href="index.php?getir=kategori&katid=<?=$katid?>&sayfa=<?=$i;?>" class="button icon arrowright danger">ileri</a>
</div>
<div class="toplam">Sistemde Toplam <b><?=$count?></b> içerik bulunuyor...</div>
</div></div>

</div>
